if SoundSource and not MusicSettoCodeSilverPDTH then
	local code_silver_soundsources = {}

	local MusicSoundSource = SoundSource
	if MusicSoundSource and type(MusicSoundSource) == "userdata" then
		MusicSoundSource = getmetatable(MusicSoundSource)
	end



	if MusicSoundSource then
		local _set_switch = MusicSoundSource.set_switch
		function MusicSoundSource:set_switch(type, track,...)
			if type == "music_randomizer"  then
				if track == "track_pth_07" then
					table.insert(code_silver_soundsources, self)
				else
					table.delete(code_silver_soundsources, self)
				end
			end
			return _set_switch(self, type, track,...)
		end


		local _post_event = MusicSoundSource.post_event
		function MusicSoundSource:post_event(event,...)
			local convert_to_ol_pth = {
				music_heist_setup = "music_heist_control",
				music_heist_control = "music_heist_setup"	
			}
			if table.contains(code_silver_soundsources, self) then
				event = convert_to_ol_pth[event] or event
			end

			return _post_event(self, event, ...)
		end
	end
	MusicSettoCodeSilverPDTH = true
end